#include <iostream>

using namespace std;
int partition(int arr[], int start, int end)
{

    int pivot = arr[start];

    int count = 0;
    for (int i = start + 1; i <= end; i++) {
        if (arr[i] <= pivot)
            count++;
    }
    int pivotIndex = start + count;
    swap(arr[pivotIndex], arr[start]);
    int i = start, j = end;
    while (i < pivotIndex && j > pivotIndex) {

        while (arr[i] <= pivot) {
            i++;
        }

        while (arr[j] > pivot) {
            j--;
        }

        if (i < pivotIndex && j > pivotIndex) {
            swap(arr[i++], arr[j--]);
        }
    }

    return pivotIndex;
}
void quickSort(int arr[], int low,int high)
{
    if (low < high)
    {
        int pi = partition(arr, low, high);
        quickSort(arr, low, pi - 1);
        quickSort(arr, pi + 1, high);
    }
}
int main ()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
	int n,q;
	cin>>n>>q;
	int a[n],b[q];
	for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(int i=0;i<q;i++)
    {
        cin>>b[i];
    }
    quickSort(a,0,n-1);
    for(int zz=0;zz<q;zz++)
    {
        int isti=-1,sledeci=-1,br=0;
        for(int i=0;i<n;i++)
        {
            if(b[zz]==a[i] && isti==-1)
            {
                isti=i;
            }
            else if(b[zz]<a[i] && sledeci==-1)
            {
                sledeci=i;
            }
        }
        int pola;
        if(n%2==0) pola=n/2;
        else pola=n/2+1;
        if(isti==-1 && sledeci==-1) cout<<n<<endl;
        else if(isti!=-1)
        {
            if(isti==pola) cout<<br<<endl;
            else if(isti<pola) cout<<n-1-isti<<endl;
            else if(isti>pola) cout<<isti-(n-isti)<<endl;
        }
        else if(isti==-1 && sledeci!=-1)
        {
            if(sledeci==pola) cout<<br<<endl;
            else if(sledeci<pola) cout<<n-sledeci<<endl;
            else if(isti>pola) cout<<sledeci-1<<endl;
        }

    }
	return 0;
}